import request from '@/utils/request';
import config from '@/utils/config'

// 获取自己的票据订单详细信息(订单编号)
export function orderInfo(orderNo) {
    return request({
        url: `${config.baseURL}/ticket/order/detail/${orderNo}`,
        method: 'get'
    })
}

// 起飞
export function flightTakeOff(data) {
    return request({
        url: `${config.baseURL1}/flight/queue/takeOff`,
        method: 'post',
        data
    })
}

// 开始排队
export function flightStart(data) {
    return request({
        url: `${config.baseURL1}/flight/queue/start`,
        method: 'post',
        data
    })
}

// 取消排队
export function flightCancelt(data) {
    return request({
        url: `${config.baseURL1}/flight/queue/cancel`,
        method: 'post',
        data
    })
}

// 查看排队信息
export function flightListAll(params) {
    return request({
        url: `${config.baseURL1}/flight/queue/list-all`,
        method: 'get',
        params
    })
}

// 获取详情无人机飞行任务
export function getDroneFlightTask(params) {
    return request({
        url: `${config.baseURL}/drone/getDroneFlightTask/${params.flightTaskUuid}`,
        method: 'get',
        params
    })
}

// 根据排队ID获取详情无人机飞行任务
export function getDroneFlightTaskByQueueId(params) {
    return request({
        url: `${config.baseURL}/drone/getDroneFlightTaskByQueueId/${params.queueId}`,
        method: 'get',
        params
    })
}