const {
  defineConfig
} = require('@vue/cli-service')
module.exports = defineConfig({
  lintOnSave: false,  // 关闭警告提醒
  transpileDependencies: true,
  publicPath: '/h5',
  chainWebpack: config => {
    // 配置网页标题
    config.plugin('html').tap((args) => {
      args[0].title = '详情'
      return args
    })
  },
  devServer: {
    host: '0.0.0.0',
    port: '8080',
    open: true,
    client: {
      overlay: false
    },
    proxy: {
      // detail: https://cli.vuejs.org/config/#devserver-proxy
      // "/prod-api": {
      //   target: `http://192.168.0.151:9002`,
      //   // target: `http://192.168.0.19:9002`,
      //   // target: `http://192.168.0.78:9002`,
      //   // target: `https://test.yuemeikang.com/prod-api`,  // 测试环境
      //   // target: `https://app.yuemeikang.com/prod-api`,  // 正式环境
      //   changeOrigin: true,
      //   pathRewrite: {
      //     ['^' + '/prod-api']: ''
      //   }
      // },
      // "/api": {
      //   target: `http://192.168.0.151:9001`,
      //   // target: `http://192.168.0.78:9001`,
      //   // target: `https://test.yuemeikang.com/prod-api`,  // 测试环境
      //   // target: `https://app.yuemeikang.com/prod-api`,  // 正式环境
      //   changeOrigin: true,
      //   pathRewrite: {
      //     ['^' + '/api']: '/api'
      //   }
      // }
    }
  },
  css: {
    loaderOptions: {
      sass: {
        sassOptions: { outputStyle: "expanded" }
      }
    }
  }
})